//
//  MainController.h
//  FavIconTest
//
//  Created by Andreas on 11.09.04.
//  Copyright 2004 Andreas Mayer. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class AMURLLoader;

@interface MainController : NSObject {
	IBOutlet NSTextField *baseURL;
	IBOutlet NSTextField *errorMessage;
	IBOutlet NSImageView *favIconView;
	IBOutlet NSProgressIndicator *progressIndicator;
	AMURLLoader *loader;
}

- (AMURLLoader *)loader;
- (void)setLoader:(AMURLLoader *)value;

- (IBAction)getFavIcon:(id)sender;


@end
